%global packname  foreach

Name:             R-%{packname}
Version:          1.4.2
Release:          1%{?dist}
Summary:          Foreach looping construct for R
Group:            Applications/Productivity
License:          ASL 2.0
URL:              http://cran.fhcrc.org/web/packages/foreach/index.html
Source0:          http://cran.fhcrc.org/src/contrib/%{packname}_%{version}.tar.gz
Requires:         R-core >= 3.1.0, tex(latex), R-iterators, R-codetools, R-utils
BuildRequires:    R-devel >= 3.1.0, R-iterators, R-codetools, R-utils
BuildArch:        noarch

%description
Support for the foreach looping construct. Foreach is an idiom that allows for 
iterating over elements in a collection, without the use of an explicit loop 
counter. This package in particular is intended to be used for its return 
value, rather than for its side effects. In that sense, it is similar to the 
standard lapply function, but doesn't require the evaluation of a function. 
Using foreach without side effects also facilitates executing the loop in 
parallel.

%prep
%setup -c -q -n %{packname}

%build

%install
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css
chmod +x %{buildroot}%{_datadir}/R/library/%{packname}/unitTests/runTestSuite.sh

%check
# All sorts of missing Suggests prevents this from working.
# %%{_bindir}/R CMD check %%{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/NEWS
%doc %{_datadir}/R/library/%{packname}/doc/
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/demo/
%{_datadir}/R/library/%{packname}/examples/
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/unitTests/

%changelog
* Thu Jun 12 2014 Tom Callaway <spot@fedoraproject.org> - 1.4.2-1
- initial package
